findOptimalCodon {AnaCoDa} | R Documentation

## Find and return list of optimal codons

### Description

`findOptimalCodon` extracrs the optimal codon for each amino acid.

### Usage

    findOptimalCodon(csp)

### Arguments

`csp` | a `data.frame` as returned by `getCSPEstimates`.

### Value

A named list with with optimal codons for each amino acid.

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    genome <- initializeGenomeObject(file = genome_file)
    sphi_init <- 1
    numMixtures <- 1
    geneAssignment <- rep(1, length(genome))
    parameter <- initializeParameterObject(genome = genome, sphi = sphi_init,
                                           num.mixtures = numMixtures,
                                           gene.assignment = geneAssignment,
                                           mixture.definition = "allUnique")
    model <- initializeModelObject(parameter = parameter, model = "ROC")
    samples <- 2500
    thinning <- 50
    adaptiveWidth <- 25
    mcmc <- initializeMCMCObject(samples = samples, thinning = thinning,
                                 adaptive.width=adaptiveWidth, est.expression=TRUE,
                                 est.csp=TRUE, est.hyper=TRUE, est.mix = TRUE)
    divergence.iteration <- 10
    ## Not run:
    runMCMC(mcmc = mcmc, genome = genome, model = model,
            ncores = 4, divergence.iteration = divergence.iteration)

    csp_mat <- getCSPEstimates(parameter, CSP="Selection")
    opt_codons <- findOptimalCodon(csp_mat)

    ## End(Not run)

[Package AnaCoDa version 0.1.3.0 Index]